Subject: Re: [netatalk-admins] how do you restrict netatalk by ip address?

From: Steven Bonneville <[email-masked]>
Date: Wed, 29 Jul 1998 10:25:52 -0500

Back on the original topic of this thread, Apple has published a 
document on-line describing how to tell which Ethernet packets 
are AppleTalk (Phase 1 or 2) and AARP traffic for filtering
purposes.  

"AppleTalk: Filtering AppleTalk Traffic From Remote Links"
        http://til.info.apple.com/techinfo.nsf/artnum/n10034

On the other topic, Mark pointed out that we'd need a kernel
change to get at the AARP table.  Is there any reason why there
isn't already a /proc/net/aarp entry (that is, beyond no-one
bothering to write the kernel code)?

While Osma Ahvenlampi is quite right that you couldn't use this
to reliably get the IP address of the final destination if you're 
crossing a router, this is true of ARP as well.  I'd think that
the information might still be useful to someone debugging a 
network.

  -- Steve Bonneville